<?php
$surety_woocommerce_sc = surety_get_theme_option( 'front_page_woocommerce_products' );
if ( ! empty( $surety_woocommerce_sc ) ) {
	?><div class="front_page_section front_page_section_woocommerce<?php
		$surety_scheme = surety_get_theme_option( 'front_page_woocommerce_scheme' );
		if ( ! empty( $surety_scheme ) && ! surety_is_inherit( $surety_scheme ) ) {
			echo ' scheme_' . esc_attr( $surety_scheme );
		}
		echo ' front_page_section_paddings_' . esc_attr( surety_get_theme_option( 'front_page_woocommerce_paddings' ) );
		if ( surety_get_theme_option( 'front_page_woocommerce_stack' ) ) {
			echo ' sc_stack_section_on';
		}
	?>"
			<?php
			$surety_css      = '';
			$surety_bg_image = surety_get_theme_option( 'front_page_woocommerce_bg_image' );
			if ( ! empty( $surety_bg_image ) ) {
				$surety_css .= 'background-image: url(' . esc_url( surety_get_attachment_url( $surety_bg_image ) ) . ');';
			}
			if ( ! empty( $surety_css ) ) {
				echo ' style="' . esc_attr( $surety_css ) . '"';
			}
			?>
	>
	<?php
		// Add anchor
		$surety_anchor_icon = surety_get_theme_option( 'front_page_woocommerce_anchor_icon' );
		$surety_anchor_text = surety_get_theme_option( 'front_page_woocommerce_anchor_text' );
		if ( ( ! empty( $surety_anchor_icon ) || ! empty( $surety_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
			echo do_shortcode(
				'[trx_sc_anchor id="front_page_section_woocommerce"'
											. ( ! empty( $surety_anchor_icon ) ? ' icon="' . esc_attr( $surety_anchor_icon ) . '"' : '' )
											. ( ! empty( $surety_anchor_text ) ? ' title="' . esc_attr( $surety_anchor_text ) . '"' : '' )
											. ']'
			);
		}
	?>
		<div class="front_page_section_inner front_page_section_woocommerce_inner
			<?php
			if ( surety_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
				echo ' surety-full-height sc_layouts_flex sc_layouts_columns_middle';
			}
			?>
				"
				<?php
				$surety_css      = '';
				$surety_bg_mask  = surety_get_theme_option( 'front_page_woocommerce_bg_mask' );
				$surety_bg_color_type = surety_get_theme_option( 'front_page_woocommerce_bg_color_type' );
				if ( 'custom' == $surety_bg_color_type ) {
					$surety_bg_color = surety_get_theme_option( 'front_page_woocommerce_bg_color' );
				} elseif ( 'scheme_bg_color' == $surety_bg_color_type ) {
					$surety_bg_color = surety_get_scheme_color( 'bg_color', $surety_scheme );
				} else {
					$surety_bg_color = '';
				}
				if ( ! empty( $surety_bg_color ) && $surety_bg_mask > 0 ) {
					$surety_css .= 'background-color: ' . esc_attr(
						1 == $surety_bg_mask ? $surety_bg_color : surety_hex2rgba( $surety_bg_color, $surety_bg_mask )
					) . ';';
				}
				if ( ! empty( $surety_css ) ) {
					echo ' style="' . esc_attr( $surety_css ) . '"';
				}
				?>
		>
			<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
				<?php
				// Content wrap with title and description
				$surety_caption     = surety_get_theme_option( 'front_page_woocommerce_caption' );
				$surety_description = surety_get_theme_option( 'front_page_woocommerce_description' );
				if ( ! empty( $surety_caption ) || ! empty( $surety_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					// Caption
					if ( ! empty( $surety_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $surety_caption ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( $surety_caption, 'surety_kses_content' );
						?>
						</h2>
						<?php
					}

					// Description (text)
					if ( ! empty( $surety_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $surety_description ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( wpautop( $surety_description ), 'surety_kses_content' );
						?>
						</div>
						<?php
					}
				}

				// Content (widgets)
				?>
				<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
					<?php
					if ( 'products' == $surety_woocommerce_sc ) {
						$surety_woocommerce_sc_ids      = surety_get_theme_option( 'front_page_woocommerce_products_per_page' );
						$surety_woocommerce_sc_per_page = count( explode( ',', $surety_woocommerce_sc_ids ) );
					} else {
						$surety_woocommerce_sc_per_page = max( 1, (int) surety_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
					}
					$surety_woocommerce_sc_columns = max( 1, min( $surety_woocommerce_sc_per_page, (int) surety_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
					echo do_shortcode(
						"[{$surety_woocommerce_sc}"
										. ( 'products' == $surety_woocommerce_sc
												? ' ids="' . esc_attr( $surety_woocommerce_sc_ids ) . '"'
												: '' )
										. ( 'product_category' == $surety_woocommerce_sc
												? ' category="' . esc_attr( surety_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
												: '' )
										. ( 'best_selling_products' != $surety_woocommerce_sc
												? ' orderby="' . esc_attr( surety_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
													. ' order="' . esc_attr( surety_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
												: '' )
										. ' per_page="' . esc_attr( $surety_woocommerce_sc_per_page ) . '"'
										. ' columns="' . esc_attr( $surety_woocommerce_sc_columns ) . '"'
						. ']'
					);
					?>
				</div>
			</div>
		</div>
	</div>
	<?php
}
