<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package SURETY
 * @since SURETY 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$surety_copyright_scheme = surety_get_theme_option( 'copyright_scheme' );
if ( ! empty( $surety_copyright_scheme ) && ! surety_is_inherit( $surety_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $surety_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$surety_copyright = surety_get_theme_option( 'copyright' );
			if ( ! empty( $surety_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$surety_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $surety_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$surety_copyright = surety_prepare_macros( $surety_copyright );
				// Display copyright
				echo wp_kses( nl2br( $surety_copyright ), 'surety_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
