<?php
/**
 * The template to display default site footer
 *
 * @package SURETY
 * @since SURETY 1.0.10
 */

$surety_footer_id = surety_get_custom_footer_id();
$surety_footer_meta = get_post_meta( $surety_footer_id, 'trx_addons_options', true );
if ( ! empty( $surety_footer_meta['margin'] ) ) {
	surety_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( surety_prepare_css_value( $surety_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $surety_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $surety_footer_id ) ) ); ?>
						<?php
						$surety_footer_scheme = surety_get_theme_option( 'footer_scheme' );
						if ( ! empty( $surety_footer_scheme ) && ! surety_is_inherit( $surety_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $surety_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'surety_action_show_layout', $surety_footer_id );
	?>
</footer><!-- /.footer_wrap -->
