<?php
/**
 * The template to display the background video in the header
 *
 * @package SURETY
 * @since SURETY 1.0.14
 */
$surety_header_video = surety_get_header_video();
$surety_embed_video  = '';
if ( ! empty( $surety_header_video ) && ! surety_is_from_uploads( $surety_header_video ) ) {
	if ( surety_is_youtube_url( $surety_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $surety_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php surety_show_layout( surety_get_embed_video( $surety_header_video ) ); ?></div>
		<?php
	}
}
