<div class="front_page_section front_page_section_contacts<?php
	$surety_scheme = surety_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $surety_scheme ) && ! surety_is_inherit( $surety_scheme ) ) {
		echo ' scheme_' . esc_attr( $surety_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( surety_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( surety_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$surety_css      = '';
		$surety_bg_image = surety_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $surety_bg_image ) ) {
			$surety_css .= 'background-image: url(' . esc_url( surety_get_attachment_url( $surety_bg_image ) ) . ');';
		}
		if ( ! empty( $surety_css ) ) {
			echo ' style="' . esc_attr( $surety_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$surety_anchor_icon = surety_get_theme_option( 'front_page_contacts_anchor_icon' );
	$surety_anchor_text = surety_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $surety_anchor_icon ) || ! empty( $surety_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $surety_anchor_icon ) ? ' icon="' . esc_attr( $surety_anchor_icon ) . '"' : '' )
									. ( ! empty( $surety_anchor_text ) ? ' title="' . esc_attr( $surety_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( surety_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' surety-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$surety_css      = '';
			$surety_bg_mask  = surety_get_theme_option( 'front_page_contacts_bg_mask' );
			$surety_bg_color_type = surety_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $surety_bg_color_type ) {
				$surety_bg_color = surety_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $surety_bg_color_type ) {
				$surety_bg_color = surety_get_scheme_color( 'bg_color', $surety_scheme );
			} else {
				$surety_bg_color = '';
			}
			if ( ! empty( $surety_bg_color ) && $surety_bg_mask > 0 ) {
				$surety_css .= 'background-color: ' . esc_attr(
					1 == $surety_bg_mask ? $surety_bg_color : surety_hex2rgba( $surety_bg_color, $surety_bg_mask )
				) . ';';
			}
			if ( ! empty( $surety_css ) ) {
				echo ' style="' . esc_attr( $surety_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$surety_caption     = surety_get_theme_option( 'front_page_contacts_caption' );
			$surety_description = surety_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $surety_caption ) || ! empty( $surety_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $surety_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $surety_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $surety_caption, 'surety_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $surety_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $surety_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $surety_description ), 'surety_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$surety_content = surety_get_theme_option( 'front_page_contacts_content' );
			$surety_layout  = surety_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $surety_layout && ( ! empty( $surety_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $surety_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $surety_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $surety_content, 'surety_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $surety_layout && ( ! empty( $surety_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$surety_sc = surety_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $surety_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $surety_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					surety_show_layout( do_shortcode( $surety_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $surety_layout && ( ! empty( $surety_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
